Debian Bug report logs - #691827
ITA: mypaint -- Paint program to be used with Wacom tablets

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Gürkan Sengün <gurkan@phys.ethz.ch>

Date: Tue, 30 Oct 2012 07:51:22 UTC

Owned by: Andrew Chadwick <a.t.chadwick@gmail.com>

Severity: normal

Fixed in version mypaint/1.1.0-1

Done: Andrew Chadwick <a.t.chadwick@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691827; Package wnpp. (Tue, 30 Oct 2012 07:51:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 30 Oct 2012 07:51:24 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: submit@bugs.debian.org
Subject: O: mypaint -- Paint program to be used with Wacom tablets
Date: Tue, 30 Oct 2012 08:50:15 +0100
Package: wnpp
Severity: normal

I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you are *sure* you will have enough time and attention to
work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.



Changed Bug title to 'ITA: mypaint -- Paint program to be used with Wacom tablets' from 'O: mypaint -- Paint program to be used with Wacom tablets' Request was from Andrew Chadwick <a.t.chadwick@gmail.com> to control@bugs.debian.org. (Thu, 03 Jan 2013 14:51:09 GMT) Full text and rfc822 format available.

Owner recorded as Andrew Chadwick <a.t.chadwick@gmail.com>. Request was from Andrew Chadwick <a.t.chadwick@gmail.com> to control@bugs.debian.org. (Thu, 03 Jan 2013 14:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrew Chadwick <a.t.chadwick@gmail.com>:
Bug#691827; Package wnpp. (Fri, 04 Jan 2013 13:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrew Chadwick <a.t.chadwick@gmail.com>. (Fri, 04 Jan 2013 13:18:06 GMT) Full text and rfc822 format available.

Message #14 received at 691827@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Andrew Chadwick <a.t.chadwick@gmail.com>
Cc: 691827@bugs.debian.org
Subject: Re: ITA: mypaint -- Paint program to be used with Wacom tablets
Date: Fri, 04 Jan 2013 14:18:26 +0100
any progress on this?

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrew Chadwick <a.t.chadwick@gmail.com>:
Bug#691827; Package wnpp. (Fri, 04 Jan 2013 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrew Chadwick <a.t.chadwick@gmail.com>. (Fri, 04 Jan 2013 13:21:03 GMT) Full text and rfc822 format available.

Message #19 received at 691827@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Andrew Chadwick <a.t.chadwick@gmail.com>
Cc: 691827@bugs.debian.org
Subject: Re: ITA: mypaint -- Paint program to be used with Wacom tablets
Date: Fri, 04 Jan 2013 14:20:48 +0100
On 01/04/2013 02:18 PM, Daniel Baumann wrote:
> any progress on this?

err, nevermind.. i just saw you retitled the bug yesterday. anyhow, if 
you need a sponsor to upload the package, let me know.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691827; Package wnpp. (Fri, 04 Jan 2013 15:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Chadwick <a.t.chadwick@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 04 Jan 2013 15:27:03 GMT) Full text and rfc822 format available.

Message #24 received at 691827@bugs.debian.org (full text, mbox):

From: Andrew Chadwick <a.t.chadwick@gmail.com>
To: 691827@bugs.debian.org
Cc: daniel.baumann@progress-technologies.net
Subject: Re: ITA: mypaint -- Paint program to be used with Wacom tablets
Date: Fri, 04 Jan 2013 15:25:42 +0000
On 04/01/13 13:20, Daniel Baumann wrote:
> On 01/04/2013 02:18 PM, Daniel Baumann wrote:
>> any progress on this?
> 
> err, nevermind.. i just saw you retitled the bug yesterday. anyhow, if
> you need a sponsor to upload the package, let me know.

Heh :) I'm working on a package up for review at
https://mentors.debian.net/package/mypaint with public git-buildpackage
style git repository at https://github.com/achadwick/mypaint-debian if
you'd like to take a look or comment on it. There are a couple of issues
that need addressing right now, so thanks for the offer.

-- 
Andrew Chadwick



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Andrew Chadwick <a.t.chadwick@gmail.com>:
Bug#691827; Package wnpp. (Mon, 07 Jan 2013 23:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Andrew Chadwick <a.t.chadwick@gmail.com>. (Mon, 07 Jan 2013 23:51:06 GMT) Full text and rfc822 format available.

Message #29 received at 691827@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Andrew Chadwick <a.t.chadwick@gmail.com>, 691827@bugs.debian.org
Subject: Re: Bug#691827: ITA: mypaint -- Paint program to be used with Wacom tablets
Date: Tue, 8 Jan 2013 00:47:42 +0100
Hi Andrew!

Andrew Chadwick wrote:
> On 04/01/13 13:20, Daniel Baumann wrote:
> > anyhow, if you need a sponsor to upload the package, let me know.

I was also thinking about ITA'ing mypaint, because I don't want that
it drops from Debian and, like Daniel, I sponsored it in the past,
too.

So I'm happy to see that someone else seems to care more than I would
have done, and I'd be happy to sponsor it again, too.

> Heh :) I'm working on a package up for review at
> https://mentors.debian.net/package/mypaint

A short review:

I miss one thing in the changelog: You fixed
http://bugs.debian.org/660881 but didn't mention that in the
changelog.

Another thing which makes me wonder is this lintian warning:

"I: mypaint: arch-dep-package-has-big-usr-share 3497kB 86%"

So, despite there is already a mypaint-data package, the mypaint
package contains 86% arch-independent stuff? This seems to be a
regression from 1.0.0-1, as
http://lintian.debian.org/maintainer/gurkan@phys.ethz.ch.html#mypaint
doesn't list that warning.

I'd like to see the above issues fixed before uploading the package.

Other lintian warnings which are less severe, but should be easily
fixed:

I: mypaint source: unused-license-paragraph-in-dep5-copyright cc-by-3.0-us (paragraph at line 388)
I: mypaint: desktop-entry-contains-encoding-key usr/share/applications/mypaint.desktop:3 Encoding
I: mypaint: spelling-error-in-copyright developper developer
I: mypaint-data: spelling-error-in-copyright developper developer

While I'd be happy to see them fixed in 1.1.0-1, too, I'd sponsor
1.1.0-1 without them being fixed if they'll be fixed in 1.1.0-2. :-)

Oh, and a very minor style thingie: In the changelog entry, you
sometimes use "#" before a bug number and sometimes not. I'd decide
for one way and stay with it.

> with public git-buildpackage style git repository at
> https://github.com/achadwick/mypaint-debian if you'd like to take a
> look or comment on it. There are a couple of issues that need
> addressing right now, so thanks for the offer.

I see you're already working on the next steps. Cool!

One question here: Why changing http://mypaint.intilinux.com/ to
http://mypaint.info/ when http://mypaint.info/ redirects to
http://mypaint.intilinux.com/?

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691827; Package wnpp. (Wed, 09 Jan 2013 05:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Chadwick <a.t.chadwick@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 09 Jan 2013 05:21:03 GMT) Full text and rfc822 format available.

Message #34 received at 691827@bugs.debian.org (full text, mbox):

From: Andrew Chadwick <a.t.chadwick@gmail.com>
To: Axel Beckert <abe@debian.org>
Cc: 691827@bugs.debian.org
Subject: Re: Bug#691827: ITA: mypaint -- Paint program to be used with Wacom tablets
Date: Wed, 9 Jan 2013 05:18:28 +0000
On 7 January 2013 23:47, Axel Beckert <abe@debian.org> wrote:
> Hi Andrew!
>
> Andrew Chadwick wrote:
>> On 04/01/13 13:20, Daniel Baumann wrote:
>> > anyhow, if you need a sponsor to upload the package, let me know.
>
> I was also thinking about ITA'ing mypaint, because I don't want that
> it drops from Debian and, like Daniel, I sponsored it in the past,
> too.
>
> So I'm happy to see that someone else seems to care more than I would
> have done, and I'd be happy to sponsor it again, too.

Excellent news, and thank you for the offer! A new build, 1.1.0-1, is
up at mentors.debian.net: https://mentors.debian.net/package/mypaint


[Responding below to Axel's comments re 1.1.0-1]

> A short review:
>
> I miss one thing in the changelog: You fixed
> http://bugs.debian.org/660881 but didn't mention that in the
> changelog.

Fixed in 1.1.0-2.

> Another thing which makes me wonder is this lintian warning:
>
> "I: mypaint: arch-dep-package-has-big-usr-share 3497kB 86%"
>
> So, despite there is already a mypaint-data package, the mypaint
> package contains 86% arch-independent stuff? This seems to be a
> regression from 1.0.0-1, as
> http://lintian.debian.org/maintainer/gurkan@phys.ethz.ch.html#mypaint
> doesn't list that warning.

Migrated icons and message catalogs to mypaint-data, which gets it in
under the limit. I'm loath to move anything else because I'm not sure
what the effect would be of moving all the python libs. However, if
more is needed, I could look at that.

> I'd like to see the above issues fixed before uploading the package.
>
> Other lintian warnings which are less severe, but should be easily
> fixed:
>
> I: mypaint source: unused-license-paragraph-in-dep5-copyright cc-by-3.0-us (paragraph at line 388)

Fixed in 1.1.0-2. Should be linked up now.

> I: mypaint: desktop-entry-contains-encoding-key usr/share/applications/mypaint.desktop:3 Encoding

Fixed upstream:
https://gitorious.org/mypaint/mypaint/commit/1887c034981085d3e933aa86e6303a099a27307c

FIXED for Debian in 1.1.0-2 (cherry-picked patch in quilt format)

> I: mypaint: spelling-error-in-copyright developper developer
> I: mypaint-data: spelling-error-in-copyright developper developer

Fixed upstream:
https://gitorious.org/mypaint/mypaint/commit/163503525c0a707e50714478e81ab192cfca4fac

FIXED for Debian in 1.1.0-2 (cherry-picked patch in quilt format)

> While I'd be happy to see them fixed in 1.1.0-1, too, I'd sponsor
> 1.1.0-1 without them being fixed if they'll be fixed in 1.1.0-2. :-)

I consider 1.1.0-1 to be irrevocably in the wild because it has been
published at mentors.debian.net. 1.1.0-2 also. In order to be rigorous
with version numbers, I will never upload new signed packages having
the same version strings as previous uploads.

If you still wish to sponsor, please would you sponsor the latest
version on mentors, which is currently 1.1.0-2. Thanks!

> Oh, and a very minor style thingie: In the changelog entry, you
> sometimes use "#" before a bug number and sometimes not. I'd decide
> for one way and stay with it.

Done!

>> with public git-buildpackage style git repository at
>> https://github.com/achadwick/mypaint-debian if you'd like to take a
>> look or comment on it. There are a couple of issues that need
>> addressing right now, so thanks for the offer.
>
> I see you're already working on the next steps. Cool!
>
> One question here: Why changing http://mypaint.intilinux.com/ to
> http://mypaint.info/ when http://mypaint.info/ redirects to
> http://mypaint.intilinux.com/?

It's shorter and more memorable, the domain matches our project wiki,
and the URL is that used in the about box of the application itself
since 2009-08-27 (
https://gitorious.org/mypaint/mypaint/commit/8cb950a9 ).

-- 
Andrew Chadwick



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 25 Mar 2013 19:06:15 GMT) Full text and rfc822 format available.

Reply sent to Andrew Chadwick <a.t.chadwick@gmail.com>:
You have taken responsibility. (Sat, 06 Apr 2013 01:05:45 GMT) Full text and rfc822 format available.

Notification sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug acknowledged by developer. (Sat, 06 Apr 2013 01:05:45 GMT) Full text and rfc822 format available.

Message #41 received at 691827-close@bugs.debian.org (full text, mbox):

From: Andrew Chadwick <a.t.chadwick@gmail.com>
To: 691827-close@bugs.debian.org
Subject: Bug#691827: fixed in mypaint 1.1.0-1
Date: Sat, 06 Apr 2013 01:00:17 +0000
Source: mypaint
Source-Version: 1.1.0-1

We believe that the bug you reported is fixed in the latest version of
mypaint, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691827@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Chadwick <a.t.chadwick@gmail.com> (supplier of updated mypaint package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 20 Mar 2013 13:08:23 +0000
Source: mypaint
Binary: mypaint mypaint-data mypaint-data-extras
Architecture: source amd64 all
Version: 1.1.0-1
Distribution: unstable
Urgency: low
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Changed-By: Andrew Chadwick <a.t.chadwick@gmail.com>
Description: 
 mypaint    - paint program for use with graphics tablets
 mypaint-data - runtime data files for MyPaint
 mypaint-data-extras - high resolution backgrounds for mypaint
Closes: 545396 660881 685254 691827
Changes: 
 mypaint (1.1.0-1) unstable; urgency=low
 .
   * New upstream version.
   * New upstream has an updated ru_RU.UTF-8 translation (closes: Bug#685254).
   * Standards bump and check 3.9.2 -> 3.9.4.
   * debian/rules: fix lintian script-not-executable for label-brush-mypaint.sh
   * debian/{rules,control}: split out hi-res data (closes: Bug#660881).
   * debian/copyright: update to cover new upstream licenses; machine-readable.
   * Mark myself as Uploader and PAPT as Maintainer (closes: Bug#691827).
   * Recommend shared-mime-info (closes: Bug#545396).
   * Migrated from deprecated dh_pysupport to dh_python2.
   * debian/control: update homepage link
   * debian/control: provide Vcs-* info
   * debian/rules: use dh_install, and use it to check for overlooked files
   * Move message catalogs to mypaint-data.
   * Backport license update to the all-colours palette (lintian, spelling(!)).
   * Backport removal of deprecated Encoding key from upstream (lintian).
   * Build with hardening flags.
   * Patch in upstream test suite fixes, and run tests during build.
   * (Only the one which will run with <= 512M RAM, e.g. some ARM buildbots.)
   * (19 Jan) Move development to Debian VCS (requirement of python apps team).
   * Add python-matplotlib and python-tk in build-depends (test suite reqs);
   * Lowercase first letter of each short package description (best practice).
   * Newlines for Build-Depends and Depends (sponsor preference).
Checksums-Sha1: 
 7e90f62d8dfdd4a03d4bded7e5a98e660c61912c 2205 mypaint_1.1.0-1.dsc
 9e4f0bc2cee6c369f1a40d7c24435b7c26cc3795 37416388 mypaint_1.1.0.orig.tar.bz2
 7a4e1f46e2f35fe4d4b4ccc10a6f393861c0d128 112025 mypaint_1.1.0-1.debian.tar.bz2
 1f8f9ce0e4ee94819920499bdb68d0034bcd2115 454154 mypaint_1.1.0-1_amd64.deb
 0ba23683e0381015f8f48f777270b827a5a6d1d5 3469948 mypaint-data_1.1.0-1_all.deb
 95bbff33c37c3b13ddd7161394e71a691e2183d5 30193524 mypaint-data-extras_1.1.0-1_all.deb
Checksums-Sha256: 
 e3537b8d550d18672ae03a0c6276b7ef0262c0c043c4896884ce5e3f6ba09794 2205 mypaint_1.1.0-1.dsc
 780d57e50dd90afd586873bc5120261930ea4c309d4d0958020916932122e838 37416388 mypaint_1.1.0.orig.tar.bz2
 4a97bf8ca6f52ea067cfbc6104e358b54eb11afccca2fed4c2288cbdc3859ab2 112025 mypaint_1.1.0-1.debian.tar.bz2
 9a1475f75b39a0689852a22e2a63c3221e2beff88be44220761de97079a6de0e 454154 mypaint_1.1.0-1_amd64.deb
 d8f602be496ce37235e3d8303960e43ca9e3751e53473b6e5f87ceafb41c7c20 3469948 mypaint-data_1.1.0-1_all.deb
 dbaa0cac59b2a21695323cf052ed6091944f47baed226d3bc1975b464c960d6f 30193524 mypaint-data-extras_1.1.0-1_all.deb
Files: 
 80523c380d233c072a1569aa690c5503 2205 graphics optional mypaint_1.1.0-1.dsc
 7846a8406259d0fc81c9a2157a2348bf 37416388 graphics optional mypaint_1.1.0.orig.tar.bz2
 f1da2cdc32d60906b180cd9d1317aad9 112025 graphics optional mypaint_1.1.0-1.debian.tar.bz2
 bc3b9bd3faf95e7f0e6c8e40f6402964 454154 graphics optional mypaint_1.1.0-1_amd64.deb
 ddae888bf1dba543a59e12fb7abf82d9 3469948 graphics optional mypaint-data_1.1.0-1_all.deb
 446edc10024f8692aa4d9c2ec9b36d7b 30193524 graphics optional mypaint-data-extras_1.1.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRUEFmAAoJEHQmOzf1tfkTgdQP/iTWGiig7bFGvNNHHmaQFIpW
DW0I723MIXMMVTkadU+SRq3FMpTRnK2lPvtk0ylhVU+HIMXAWeQPInrFM6WW/wPQ
LiYNZ/3cl9vwqazyaKtqd3QLu24acjHiZ+aEoBUAJ54snBFWrSemWIAMLtGyS6Ef
LOIYiATPr5GEABykdqXRgc5y7bOvj+AKKZBARYqEXASnLoUsNBWqhLs9FUo+/puz
w347rLNw/IbjS8TBt7aU/c3Ck4Ta5VB4AzX4o95sw/Si4YsoWx3NsLoRixGVYaxS
JAaQ2JV4n/OoLdY4K7YrA7pyU4Q1xIYsZVpOCAxNHMCv/54TnhoJsygNP2zik/GJ
IaU2MA4fotmi6Qbyum8Z411A0vv16AESt0V2b9mKsVkG7NYadY29xZOwXHqDrTFi
V7L1rT4q7DhbKI+bf5RO2UO3NJzhMRUgH16s2KpzyOLJBaPfiqXOO+mkzUM3pAda
OGg7KkgDDJJGSAKt7kycdKr5NlIjgDRC1ZG0UW4Vd82jF8mq2vVMJQU8rJDJSdIx
yRb4AY+al4pa/TlU5wxcffEVrUogB1L70JG7rvm/gbCCOrxJezp8AkKeDNnQMv1A
SVP8DIyU3b3A9NfsEQ0mj/un9uhptXg4adZZdtNq06iG4aOArRjt4NasgKANgaUt
trWN0BxqohB9kf3dDEiZ
=wqJh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 May 2013 07:27:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:05:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.